Last week, a European demo of Holy Invasion of Privacy, Badman! What Did I Do to Deserve This? was released on PSN, requiring PSP firmware 5.55 to run. One minor issue: firmware 5.55 isn't available for download. That means that the Badman demo is effectively exclusive to people who bought Dissidia Final Fantasy or Soulcalibur Broken Destiny, two games that have the new firmware on the disc. What did Holy Invasion of Privacy, Badman! do to deserve this?

NIS's Allison Walter outlined the company's plan to correct this unfortunate situation on the PlayStation Blog, inadvertently announcing the release of an upcoming firmware in the process. "We're going to re-release it next Thursday, 10 Sept," she said in response to user Killzone_Kid, "by which time Firmware 6.0 should have been released. Sorry for the wait!" You'll be repelling heroes from your subterranean lair in no time!
[Thanks, Kenneth]

This article was originally published on Joystiq.